io.milvus.v2.service.vector.request.ranker

## Class BaseRanker

- java.lang.Object
- - io.milvus.v2.service.vector.request.ranker.BaseRanker

- Direct Known Subclasses:
    RRFRanker, WeightedRanker

      public abstract class BaseRanker
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseRanker()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseRanker

          public BaseRanker()

  - ### Method Detail

    - #### getProperties

          public abstract java.util.Map<java.lang.String,java.lang.String> getProperties()